summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Niklas Nille Åkerström <nille_kungen[AT]hotmail.com>2010-05-11 20:01:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:06 +0200
commit614336995cda8a585d6f828e2c0ce47048847459 (patch)
tree8103cb379d2bd165cbc89d19621d98347389df72 /misc
parent546ce9e04153a2ca48f5e3bb565062be4bee9484 (diff)
downloadslackbuilds-614336995cda8a585d6f828e2c0ce47048847459.tar.gz
slackbuilds-614336995cda8a585d6f828e2c0ce47048847459.tar.xz
misc/cksfv: Added to 12.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/cksfv/README17
-rw-r--r--misc/cksfv/cksfv.SlackBuild87
-rw-r--r--misc/cksfv/cksfv.info8
-rw-r--r--misc/cksfv/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/misc/cksfv/README b/misc/cksfv/README
new file mode 100644
index 0000000000..c42ea03260
--- /dev/null
+++ b/misc/cksfv/README
@@ -0,0 +1,17 @@
+Some files that you download will come with a .sfv file.
+This is used to verify that the files that you received are the same as
+the originals.
+
+cksfv (Check SFV) is a program that can use the .sfv file to verify the
+downloaded files. Also, it can be used to create new .sfv files.
+
+cksfv is a command line tool that uses crc32 checksum to verify file
+integrity. .sfv is simple file verification.
+
+There is a script to integrate this tool with GNOME's Nautilus file manager,
+but since GNOME isn't included in Slackware, it is included as part of the
+documentation instead of in the normal location. You can install it on your
+own or modify the SlackBuild script to do so. It can be found under the
+"./scripts" directory of the source code, and is called CheckSFV in the
+resulting package's documentation directory. All you need to do is to copy
+the "CheckSFV" file to $HOME/.gnome2/nautilus-scripts
diff --git a/misc/cksfv/cksfv.SlackBuild b/misc/cksfv/cksfv.SlackBuild
new file mode 100644
index 0000000000..4c02fca512
--- /dev/null
+++ b/misc/cksfv/cksfv.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for cksfv
+
+# Homepage http://www.iki.fi/shd/foss/cksfv/
+# Freshmeat project page http://freshmeat.net/projects/cksfv/
+
+# Copyright 2007 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackuilds.org>
+# No additional license terms
+
+PRGNAM=cksfv
+VERSION=1.3.12
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --package-prefix=$PKG \
+ --mandir=/usr/man
+
+make
+make install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man/
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a scripts $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/cksfv/cksfv.info b/misc/cksfv/cksfv.info
new file mode 100644
index 0000000000..e2703e4dcb
--- /dev/null
+++ b/misc/cksfv/cksfv.info
@@ -0,0 +1,8 @@
+PRGNAM="cksfv"
+VERSION="1.3.12"
+HOMEPAGE="http://www.iki.fi/shd/foss/cksfv/"
+DOWNLOAD="http://zakalwe.fi/~shd/foss/cksfv/files/cksfv-1.3.12.tar.bz2"
+MD5SUM="1d277da8bafaec9ddadb92ece4999590"
+MAINTAINER="Niklas "Nille" Åkerström"
+EMAIL="nille_kungen[AT]hotmail.com"
+APPROVED="rworkman"
diff --git a/misc/cksfv/slack-desc b/misc/cksfv/slack-desc
new file mode 100644
index 0000000000..7cd4b0454c
--- /dev/null
+++ b/misc/cksfv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cksfv: cksfv (command line tool for .sfv files)
+cksfv:
+cksfv: cksfv (Check SFV) creates simple file verification (.sfv)
+cksfv: It can also list and verify existing sfv files.
+cksfv: It uses the crc32 checksum.
+cksfv: This is used to verify that the files that you received are
+cksfv: the same as the originals.
+cksfv:
+cksfv: Homepage: http://www.iki.fi/shd/foss/cksfv/
+cksfv:
+cksfv: